Skip to main content
GET
/
v1
/
files
/
{id}
Retrieve File
curl --request GET \
  --url https://api.withflex.com/v1/files/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.withflex.com/v1/files/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "file": {
    "file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "purpose": "account_requirement",
    "size": 0,
    "created_at": "2026-06-15T14:30:00Z",
    "expires_at": "2026-06-15T14:30:00Z"
  }
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}
{
"code": "string",
"detail": "string"
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Path Parameters

id
string
required
Example:

"ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

Response

Success

An envelope wrapping a single file object.

file
object
required

The File object.

Example:
{
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"purpose": "account_requirement",
"size": 0,
"created_at": "2026-06-15T14:30:00Z",
"expires_at": "2026-06-15T14:30:00Z"
}